ApiServiceRef (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiServiceRef

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiServiceRef

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiServiceRef
      extends Object

  A serviceRef references a service. It is identified by the \"serviceName\", \"clusterName\" (name of the cluster which the service belongs to) and an optional \"peerName\" (to reference a remote service i.e. services managed by other CM instances). To operate on the service object, use the API with those fields as parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiServiceRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiServiceRef` | `clusterName(String clusterName)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterName()` The enclosing cluster for this service.
    `String` | `getPeerName()` The name of the CM peer corresponding to the remote CM that manages the referenced service.
    `String` | `getServiceDisplayName()`
    `String` | `getServiceName()` The service name.
    `String` | `getServiceType()` The service type.
    `int` | `hashCode()`
    `ApiServiceRef` | `peerName(String peerName)`
    `ApiServiceRef` | `serviceDisplayName(String serviceDisplayName)`
    `ApiServiceRef` | `serviceName(String serviceName)`
    `ApiServiceRef` | `serviceType(String serviceType)`
    `void` | `setClusterName(String clusterName)`
    `void` | `setPeerName(String peerName)`
    `void` | `setServiceDisplayName(String serviceDisplayName)`
    `void` | `setServiceName(String serviceName)`
    `void` | `setServiceType(String serviceType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiServiceRef

          public ApiServiceRef()

  - ### Method Detail

    - #### peerName

          public ApiServiceRef peerName(String peerName)

    - #### getPeerName

          public String getPeerName()

      The name of the CM peer corresponding to the remote CM that manages the referenced service. This should only be set when referencing a remote service.
      Returns:
        peerName

    - #### setPeerName

          public void setPeerName(String peerName)

    - #### clusterName

          public ApiServiceRef clusterName(String clusterName)

    - #### getClusterName

          public String getClusterName()

      The enclosing cluster for this service.
      Returns:
        clusterName

    - #### setClusterName

          public void setClusterName(String clusterName)

    - #### serviceName

          public ApiServiceRef serviceName(String serviceName)

    - #### getServiceName

          public String getServiceName()

      The service name.
      Returns:
        serviceName

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### serviceDisplayName

          public ApiServiceRef serviceDisplayName(String serviceDisplayName)

    - #### getServiceDisplayName

          public String getServiceDisplayName()

      Returns:
        serviceDisplayName

    - #### setServiceDisplayName

          public void setServiceDisplayName(String serviceDisplayName)

    - #### serviceType

          public ApiServiceRef serviceType(String serviceType)

    - #### getServiceType

          public String getServiceType()

      The service type. This is available since version 32
      Returns:
        serviceType

    - #### setServiceType

          public void setServiceType(String serviceType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.